Package com.google.android.exoplayer2.text

## Interface SubtitleDecoder

- All Superinterfaces:
    `Decoder<SubtitleInputBuffer,​SubtitleOutputBuffer,​SubtitleDecoderException>`
  All Known Implementing Classes:
    `Cea608Decoder`, `Cea708Decoder`, `DvbDecoder`, `ExoplayerCuesDecoder`, `Mp4WebvttDecoder`, `PgsDecoder`, `SimpleSubtitleDecoder`, `SsaDecoder`, `SubripDecoder`, `TtmlDecoder`, `Tx3gDecoder`, `WebvttDecoder`

      public interface SubtitleDecoder
      extends Decoder<SubtitleInputBuffer,​SubtitleOutputBuffer,​SubtitleDecoderException>

  Decodes `Subtitle`s from `SubtitleInputBuffer`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setPositionUs​(long positionUs)` | Informs the decoder of the current playback position.

    - ### Methods inherited from interface com.google.android.exoplayer2.decoder.Decoder

      `dequeueInputBuffer, dequeueOutputBuffer, flush, getName, queueInputBuffer, release`

- - ### Method Detail

    - #### setPositionUs

          void setPositionUs​(long positionUs)

      Informs the decoder of the current playback position.

      Must be called prior to each attempt to dequeue output buffers from the decoder.

      Parameters:
        `positionUs` - The current playback position in microseconds.